//$base-color: #ff6261;
//$base-color: #ff5252;

$nav_height:70px;

@import "palette.scss";

body{
  @media screen and (max-width: 768px) {
    overflow-x: hidden;
  }





  nav{

    z-index: 10;
    display:flex;
    justify-content: space-around;
    align-items: center;
    min-height: $nav_height;
    background: $base-color;
    font-family: "Poppins",sans-serif;
    position: relative;
    ul{
      height: 100%;
      li{
        cursor: pointer;
        width: 100%;
        padding: 0;
        display: flex;
        align-items: center;
        transition: 0.3s;
        height: 100%;
        text-decoration: none;

        a{
          position: relative;
          text-decoration: none;
          border: hidden!important;
          color: $base-text-color;
          width:100% ;
          height: 100%;
          display: block;

          font-size: 22px;
          span{
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            font-family: inherit;
          }

        }
      }
      li:hover{
        transition: 0.3s;
        a{
          color: $base-color;;
        }
        background-color: whitesmoke;
        //background-color: white;
      }
    }

    .nav-active{
      transform: translateX(0%) !important;

    }

    .nav_links{
      position: absolute;
      right: 10%;
      display: flex;
      flex-direction: row;
      width: 35%;
      //align-self: flex-end;
      @media screen and (max-width: 1024px){
        width: 50%;
      }
      @media screen and (max-width: 768px) {
        z-index: 50;
        position: absolute;
        right: 0;
        height:calc(100vh - 70px);
        top: 70px;
        //background: #5d4954;
        background: $base-color;

        display: flex;
        flex-direction: column ;
        align-items: center ;
        width: 50% ;
        transform: translateX(100%);
        transition: transform 0.5s ease-in;

        li {
          justify-content: center;
          width: 100%;
          opacity: 1;
        }

      }


      li {
        list-style:none;
      }

      a {
        color:rgb(226,226,226);
        text-decoration: none;
        letter-spacing: 3px;
        font-weight: bold;
        font-size: 18px;
        font-family: "Poppins", sans-serif;
      }
    }

    .logo {
      position: absolute;
      left: 15%;
      color:rgb(226,226,226);
      text-transform: uppercase;
      letter-spacing: 5px;
      font-size: 20px;
      width: 130px;
      .brand{
        a {
          text-decoration: none;
          color: #fff;
        }
        * {
          display: inline-block;
        }
      }
    }

    .burger {
      position: absolute;
      right: 22%;
      display: none;
      @media screen  and (max-width: 768px){
        display: block;
        cursor: pointer;
      }
      div{
        width: 25px;
        height: 3px;
        background: rgb(226,226,226);
        color:rgb(226,226,226);
        margin: 5px;

        transition: all 0.3s ease;
      }

    }

  }
}

@keyframes navLinkFade {
  from{
    opacity: 0;
    transform: translateX(80px);
  }

  to{
    opacity: 1;
    transform: translateX(0px);
  }
}



.toggle .line1 {
  transform: rotate(-45deg) translate(-5px,6px);
}
.toggle .line2 {
  opacity: 0;
}
.toggle .line3 {
  transform: rotate(45deg) translate(-5px,-6px);

}